CREATE TABLE msc_alloc_rule_time_phases (
    TIME_PHASE_ID            NUMBER(18, 0),
    ALLOCATION_RULE_ID       NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    EFFECTIVE_DATE           DATE             NOT NULL,
    DISABLE_DATE             DATE         ,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    REFRESH_NUMBER           NUMBER(18, 0),
    TIME_PHASE_ID            NUMBER(18, 0),
    ALLOCATION_RULE_ID       NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    EFFECTIVE_DATE           DATE             NOT NULL,
    DISABLE_DATE             DATE         ,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    REFRESH_NUMBER           NUMBER(18, 0),
    CONSTRAINT pk_msc_alloc_rule_time_phases PRIMARY KEY (TIME_PHASE_ID, TIME_PHASE_ID)
);
